<div class="post-create">
  <button class="back" (click)="back()">
    <fa-icon [icon]="faArrowAltCircleLeft"></fa-icon>
  </button>
  <div class="title">Create Post</div>
  <form novalidate="" [formGroup]="form" (ngSubmit)="onAddPost(form)">
    <div class="grid">
      <div class="twelve fields">
        <textarea formControlName="caption" class="caption" rows="1" placeholder="Caption" #caption></textarea>
        <select formControlName="board_id" class="caption" placeholder="Select a Board">
          <option></option>
          <option *ngFor="let board of boards$ | async" [value]="board.id">
            <p *ngIf="userId == board.owned_by.id">{{ board.name }}</p>
          </option>
          <!-- <div *ngFor="let board of boards$ | async">
            <option [value]="board.id">{{ board.name }}</option>
          </div> -->
        </select>

        <div
          class="alert danger"
          *ngIf="
            (!form.get('caption').valid && form.get('caption').touched) ||
            (form.get('caption').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>

        <!-- <div
                class="alert danger"
                *ngIf="
                  (!form.get('image').valid && form.get('image').touched) ||
                  (form.get('image').untouched && formSubmitAttempt)
                "
              >
                This field is required!
              </div> -->
        <button type="submit" class="create-post button" [disabled]="!getSubmitButton()">
          Post it!
        </button>

        <button style="margin-top:200px;" class="button" [routerLink]="['/boards']">
          Create Board
        </button>
      </div>
      <div class="twelve draggable-input-file">
        <input type="file" (change)="onSelectFile($event)" formControlName="image" accept="image/*, video/*" />
        <div class="image-container">
          <ng-container *ngIf="url$ | async as url">
            <img *ngIf="selectedFile && (format$ | async) === 'image'" [src]="url" />
            <video *ngIf="selectedFile && (format$ | async) === 'video'" [src]="url" controls></video>
          </ng-container>
          <button class="delete button" type="button" (click)="removeFile()">
            <fa-icon [icon]="faTrash"></fa-icon>
          </button>
        </div>
        <div class="content-box" *ngIf="!selectedFile">
          <div class="content">
            <div class="text-and-icon">
              <fa-icon [icon]="faArrowAltCircleUp"></fa-icon>
              <!-- <i class="fa fa-arrow-circle-up"></i> -->
              <div class="text">Drag and drop or click to upload</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
